%define		own	asterisk
%define		grp	asterisk
%define		sown	root
%define		sgrp	root
%define		rawname	directory

Name:		freepbx-%{rawname}
Version:	17.0.1.2
Release:	1%{?dist}
Summary:	Directory

License:	See Freepbx Readme
Source0:	https://mirror.freepbx.org/modules/packages/%{rawname}/%{rawname}-%{version}.tgz

Requires:	freepbx >= 17.0.1
Requires:	freepbx-recordings >= 17.0.1

Provides:	freepbx-%{rawname} = %{version}-%{release}

BuildArch:	noarch

%description
The directory module allows you to create directories of users that can be accessed by callers through modules like the IVR.

%prep
%setup -q -n %{rawname}

# Controlliamo la eventuale presenza di particolarita' da gestire
for ddd in bin sbin etc astetc images moh hooks ; do
	[ -e $ddd ] && echo presente $ddd, va gestito && exit 1
done

# Non mi va di lanciare gpg a destra e a manca, solo per venire a sapere che ho modificato i moduli
%{__rm} module.sig

# Delete backup files
find . -name '*.orig' -exec rm '{}' ';'
find . -name '.git*' -exec rm -rf '{}' ';'

# fix dir perms
find . -type d -exec chmod 755 '{}' ';'
find . -type f -exec chmod 644 '{}' ';'
#find . -type f -regex '.*\.\(php\|html\)$' -exec chmod 644 '{}' ';'

%install
%{__install} -d %{buildroot}%{_datadir}/asterisk/agi-bin
%{__install} -m0755 agi-bin/* %{buildroot}%{_datadir}/asterisk/agi-bin

%{__install} -d %{buildroot}%{_datadir}/asterisk/sounds
%{__cp} -aR sounds/* %{buildroot}%{_datadir}/asterisk/sounds/

%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/assets
%{__ln_s} %{_datadir}/freepbx/admin/modules/%{rawname}/assets %{buildroot}%{_datadir}/freepbx/admin/assets/%{rawname}

%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}
%{__cp} -aR `ls | egrep -v '^(agi-bin|bin|etc|sounds|moh|images|LICENSE|README.md)'` %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}

%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}/assets/less/cache

%preun
find %{_datadir}/freepbx/admin/modules/%{rawname}/assets/less/cache -mindepth 1 -maxdepth 1 -exec rm -rf '{}' ';'

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%doc README.md
%defattr(0644,%{sown},%{sgrp},0755)

%attr(0755,%{sown},%{sgrp}) %{_datadir}/asterisk/agi-bin/*
%attr(0644,%{own},%{grp}) %{_datadir}/asterisk/sounds/en/*
%{_datadir}/freepbx/admin/assets/*
%{_datadir}/freepbx/admin/modules/%{rawname}
%dir %attr(0755,%{own},%{grp}) %{_datadir}/freepbx/admin/modules/%{rawname}/assets/less/cache

%changelog
* Wed Jan 08 2025 Luigi Iotti <asterisk@iotti.biz> - 17.0.1.2
- Updated version

* Mon Dec 02 2024 Luigi Iotti <asterisk@iotti.biz> - 17.0.1.1
- Updated version

* Thu Oct 05 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.3
- Updated version

* Thu Mar 23 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.2
- Updated version

* Thu Jan 20 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.1
- Initial build
